Retrieve authorization server metadata
Returns the OAuth 2.0 Authorization Server Metadata for your tenant.
This is the standard OAuth 2.0 Well-Known endpoint, providing public metadata that describes the tenant’s OAuth 2.0 configuration and capabilities. https://www.rfc-editor.org/rfc/rfc8414.html
This endpoint is intended for public consumption, and as such does not require authentication.
OAuth authorization server metadata
application/json- response
issuer?stringThe authorization server's issuer identifier.
uriauthorization_endpoint?stringAuthorization endpoint URL.
uritoken_endpoint?stringToken endpoint URL.
urijwks_uri?stringJSON Web Key Set document URL.
uriscopes_supported?array<string>Scopes supported by the authorization server.
response_types_supported?array<string>Response types supported by the authorization server.
response_modes_supported?array<string>Response modes supported by the authorization server.
grant_types_supported?array<string>Grant types supported by the authorization server.
token_endpoint_auth_methods_supported?array<string>Authentication methods supported by the token endpoint.
code_challenge_methods_supported?array<string>Code challenge methods supported by the authorization server.
dpop_signing_alg_values_supported?array<string>Supported DPoP signing algorithms.
pre-authorized_grant_anonymous_access_supported?booleanIndicates whether the authorization server supports anonymous access for pre-authorized grants (true) or not (false).
status_list_aggregation_endpoint?stringURL of the status list credential aggregation endpoint, if supported by the authorization server.
uricurl -X GET "https://example.com/.well-known/oauth-authorization-server"{ "issuer": "http://example.com", "authorization_endpoint": "http://example.com", "token_endpoint": "http://example.com", "jwks_uri": "http://example.com", "scopes_supported": [ "ldp_vc:ExampleCredential", "ldp_vc:CourseCredential", "cwt:CourseCredential", "cwt_vc:CourseCredential", "mso_mdoc:org.iso.18013.5.1.mDL" ], "response_types_supported": [ "code" ], "response_modes_supported": [ "query", "fragment" ], "grant_types_supported": [ "authorization_code" ], "token_endpoint_auth_methods_supported": [ "client_secret_basic", "none" ], "code_challenge_methods_supported": [ "S256" ], "dpop_signing_alg_values_supported": [ "ES256" ], "pre-authorized_grant_anonymous_access_supported": true, "status_list_aggregation_endpoint": "http://example.com"}How would you rate this page?
Retrieve OID4VCI issuer metadata GET
Returns OID4VCI issuer metadata. This is the standard OID4VCI Well Known endpoint for your tenant. This endpoint is unprotected, public facing and can be deterministically found at the root of the tenant subdomain or alias by any party wishing to discover the OID4VCI capabilities.
Sign a CWT credential POST
Returns a signed CWT credential generated from a provided valid payload. The payload can include any number of custom claims, as CWT credentials do not comply with any specific standard or specification.